interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46070 characters]
        5gLJRbG4WqvebQ2h+tGnT3iJr09fmMSuQM02/c6nT/8DTD0unEcNAwA=
    headers:
      CF-RAY: [2ce11dc52b860651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['30935']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:28:37 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d3848eb2040d2b7fa2297216b1b7327571470472116; expires=Sun,
          06-Aug-17 08:28:36 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GRx%2FTNM3%2F0pLx3U4G%2FUD3e6iNJ40WWqa9%2B6RxbBH6j8aO%2F3FZ4qX1h752n0omUbOHwmp3CScCAc%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=d3848eb2040d2b7fa2297216b1b7327571470472116]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/3kestk/post_learning_questions_to_rlearnpython/.json
  response:
    body:
      string: !!binary |
[encoded data, 21926 characters]
    headers:
      CF-RAY: [2ce11ddaa91b288e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['14703']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:28:39 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=cIJs2jJCJBGmgPmI6jQ5OmZIJ2FWOgJ0YeWq7w5IDqqSUK7oD2twwzoaWmWGU8CeWBtHQfCbm8M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=d3848eb2040d2b7fa2297216b1b7327571470472116]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46070 characters]
        2qdPeImvT1+YxK5AzTb9zqdP/wMygtAKRQ0DAA==
    headers:
      CF-RAY: [2ce11de19c680651-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['30922']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:28:41 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=WEQUs4auocjMog01CqsWXyac%2FNmol3%2B%2B5vCzHf6Ud%2FLipxYz1F8Qaza%2Fpa1vnk1MykZaxD087pY%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
